v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/settings/cohortlimits
Retrieves cohort limits by study and mode. Rights: SubjectSettingRightsGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Nested Schema : CohortLimit
Type:
Show Source
object-
cohortId(required): string
(uuid)
Cohort ID.Example:
b1b8327a-faa6-4122-8710-6192ab5984ef -
enabled(required): boolean
Indicates if cohort is enabled.Example:
true -
forcedRandLimit: number
(Integer)
Minimum Value:
1Maximum Value:999999Forced Randomization limit value.Example:5 -
notificationLimit: number
(double)
Minimum Value:
1Maximum Value:100Notification limit value. Once value is reached a notification is sent.Example:5 -
randomizationLimit: number
(double)
Minimum Value:
1Maximum number of subjects who can be randomized for the study.Example:5 -
stratumId: string
(uuid)
Stratum ID.
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object